## waitress 3.0.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files (usable by e.g. sphinx-web)"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	-rm -rf _build/*

html:
	mkdir -p _build/html _build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

text:
	mkdir -p _build/text _build/doctrees
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) _build/text
	@echo
	@echo "Build finished. The HTML pages are in _build/text."

pickle:
	mkdir -p _build/pickle _build/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files or run"
	@echo "  sphinx-web _build/pickle"
	@echo "to start the sphinx-web server."

web: pickle

htmlhelp:
	mkdir -p _build/htmlhelp _build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

latex:
	mkdir -p _build/latex _build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	cp _static/*.png _build/latex
	./convert_images.sh
	cp _static/latex-warning.png _build/latex
	cp _static/latex-note.png _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p _build/changes _build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	mkdir -p _build/linkcheck _build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) _build/epub
	@echo
	@echo "Build finished. The epub file is in _build/epub."

## waitress 0.8.1

=== debian/changelog ===
waitress (0.8.1-1~python2) unstable; urgency=low

  * Initial release (Python2-only build).

 -- Andrew Shadura <andrewsh@debian.org>  Thu, 09 May 2013 15:36:13 +0200

=== debian/control ===
Source: waitress
Maintainer: Andrew Shadura <andrewsh@debian.org>
Section: python
Priority: optional
Homepage: http://github.com/Pylons/waitress
Build-Depends:
    python-setuptools (>= 0.6.24), python-all (>= 2.6.6-3),
    python-sphinx (>= 1.0.7+dfsg),
    debhelper (>= 9)
Standards-Version: 3.9.4

Package: python-waitress
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Suggests: python-waitress-doc
Description: production-quality pure-Python WSGI server
 Waitress is meant to be a production-quality pure-Python WSGI server with
 very acceptable performance.  It has no dependencies except ones which live
 in the Python standard library.  It runs on CPython on Unix and Windows under
 Python 2.6+ and Python 3.2.  It is also known to run on PyPy 1.6.0 on UNIX.
 It supports HTTP/1.0 and HTTP/1.1.

Package: python-waitress-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: production-quality pure-Python WSGI server (documentation)
 Waitress is meant to be a production-quality pure-Python WSGI server with
 very acceptable performance.  It has no dependencies except ones which live
 in the Python standard library.  It runs on CPython on Unix and Windows under
 Python 2.6+ and Python 3.2.  It is also known to run on PyPy 1.6.0 on UNIX.
 It supports HTTP/1.0 and HTTP/1.1.
 .
 This is package only contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,sphinxdoc

override_dh_auto_build:
	dh_auto_build -v
	$(MAKE) -C docs clean html SPHINXOPTS=-N

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C docs clean

.PHONY: override_dh_auto_build override_dh_auto_clean

## waitress 0.8.7

=== debian/changelog ===
waitress (0.8.7-2) unstable; urgency=low

  * Update the watch file.
  * Use alternatives to ensure co-installability of python2 and python3
    versions (Closes: #725260).

 -- Andrew Shadura <andrewsh@debian.org>  Thu, 03 Oct 2013 15:44:25 +0200

waitress (0.8.7-1) unstable; urgency=low

  * New upstream version.

 -- Andrew Shadura <andrewsh@debian.org>  Wed, 02 Oct 2013 20:49:35 +0200

waitress (0.8.1-2) unstable; urgency=low

  * Upload to unstable.
  * Remove erroneous patch.

 -- Andrew Shadura <andrewsh@debian.org>  Sat, 13 Apr 2013 15:25:34 +0200

waitress (0.8.1-1) experimental; urgency=low

  * Initial release.

 -- Andrew Shadura <andrewsh@debian.org>  Thu, 21 Mar 2013 21:02:04 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,10 @@
 Priority: optional
 Homepage: http://github.com/Pylons/waitress
 Build-Depends:
-    python-setuptools (>= 0.6.24), python-all (>= 2.6.6-3),
-    python-sphinx (>= 1.0.7+dfsg),
+    python-setuptools (>= 0.6.24),
+    python3-setuptools (>= 0.6.24),
+    python-all (>= 2.6.6-3),
+    python3-all (>= 3.3.0-2), python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
     debhelper (>= 9)
 Standards-Version: 3.9.4
 
@@ -21,6 +23,19 @@
  Python 2.6+ and Python 3.2.  It is also known to run on PyPy 1.6.0 on UNIX.
  It supports HTTP/1.0 and HTTP/1.1.
 
+Package: python3-waitress
+Architecture: all
+Depends: ${misc:Depends}, ${python3:Depends}
+Suggests: python-waitress-doc
+Description: production-quality pure-Python WSGI server (Python 3)
+ Waitress is meant to be a production-quality pure-Python WSGI server with
+ very acceptable performance.  It has no dependencies except ones which live
+ in the Python standard library.  It runs on CPython on Unix and Windows under
+ Python 2.6+ and Python 3.2.  It is also known to run on PyPy 1.6.0 on UNIX.
+ It supports HTTP/1.0 and HTTP/1.1.
+ .
+ This is the Python 3 version of the package.
+
 Package: python-waitress-doc
 Section: doc
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_DESTDIR_python2=debian/python-waitress/
export PYBUILD_DESTDIR_python3=debian/python3-waitress/
export PYBUILD_DISABLE=test

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build -v
	$(MAKE) -C docs clean html SPHINXOPTS=-N

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C docs clean

override_dh_auto_install:
	dh_auto_install
	mv debian/python-waitress/usr/bin/waitress-serve debian/python-waitress/usr/bin/waitress-serve-python2
	mv debian/python3-waitress/usr/bin/waitress-serve debian/python3-waitress/usr/bin/waitress-serve-python3

.PHONY: override_dh_auto_build override_dh_auto_clean override_dh_auto_install

## waitress 0.8.8

=== debian/changelog ===
waitress (0.8.8-1ubuntu3) trusty; urgency=medium

  * Drop XS-Testsuite header too, as autopkgtest was dropped.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 07 Jan 2014 15:42:50 +0100

waitress (0.8.8-1ubuntu2) trusty; urgency=medium

  * d/control,rules: Enable test suite execution during package build.
  * d/tests/*: Drop DEP-8 tests in preference to package build testing. 

 -- James Page <james.page@ubuntu.com>  Mon, 06 Jan 2014 10:16:46 +0000

waitress (0.8.8-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/tests/*: Add DEP-8 tests.

 -- James Page <james.page@ubuntu.com>  Mon, 06 Jan 2014 09:59:51 +0000

waitress (0.8.8-1) unstable; urgency=low

  * New upstream release.

 -- Andrew Shadura <andrewsh@debian.org>  Sat, 14 Dec 2013 20:55:11 +0100

waitress (0.8.7-3) unstable; urgency=low

  * Switch to using dh-python instead of versioned depends
    on python3 (Closes: #731532).

 -- Andrew Shadura <andrewsh@debian.org>  Sat, 14 Dec 2013 17:53:03 +0100

waitress (0.8.7-2ubuntu4) trusty; urgency=low

  * d/tests/control: Add allow-stderr restriction so that test output
    on stderr does not cause test failures. 

 -- James Page <james.page@ubuntu.com>  Tue, 10 Dec 2013 09:03:13 +0000

waitress (0.8.7-2ubuntu3) trusty; urgency=low

  * Fix typo in dep8 tests. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 09 Dec 2013 20:19:15 -0500

waitress (0.8.7-2ubuntu2) trusty; urgency=low

  * Add dep-8 tests.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 09 Dec 2013 09:32:53 -0500

waitress (0.8.7-2ubuntu1) trusty; urgency=low

  * d/control: Switch to using dh-python, drop versioning on python3 BD. 

 -- James Page <james.page@ubuntu.com>  Fri, 06 Dec 2013 09:39:22 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,17 @@
 Source: waitress
-Maintainer: Andrew Shadura <andrewsh@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Andrew Shadura <andrewsh@debian.org>
 Section: python
 Priority: optional
 Homepage: http://github.com/Pylons/waitress
 Build-Depends:
+    dh-python,
     python-setuptools (>= 0.6.24),
     python3-setuptools (>= 0.6.24),
     python-all (>= 2.6.6-3),
-    python3-all (>= 3.3.0-2), python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
-    debhelper (>= 9)
+    python3-all, python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
+    debhelper (>= 9),
+    python3-nose, python-nose
 Standards-Version: 3.9.4
 
 Package: python-waitress

=== debian/rules ===
--- 
+++ 
@@ -20,4 +20,10 @@
 	mv debian/python-waitress/usr/bin/waitress-serve debian/python-waitress/usr/bin/waitress-serve-python2
 	mv debian/python3-waitress/usr/bin/waitress-serve debian/python3-waitress/usr/bin/waitress-serve-python3
 
-.PHONY: override_dh_auto_build override_dh_auto_clean override_dh_auto_install
+ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+override_dh_auto_test:
+	nosetests
+	nosetests3
+endif
+
+.PHONY: override_dh_auto_build override_dh_auto_clean override_dh_auto_install override_dh_auto_test

## waitress 0.8.9

=== debian/changelog ===
waitress (0.8.9-2+deb8u1) jessie-security; urgency=high

  * CVE-2019-16789: Prevent a potential HTTP request smuggling vulnerability.
    If a proxy server is used in front of waitress, an invalid request may be
    sent by an attacker that bypasses the front-end and is parsed differently
    by waitress leading to a potential for request smuggling. Specially crafted
    requests containing special whitespace characters in the Transfer-Encoding
    header would get parsed by Waitress as being a chunked request, but a
    front-end server would use the Content-Length instead as the
    Transfer-Encoding header is considered invalid due to containing invalid
    characters. If a front-end server does HTTP pipelining to a backend
    Waitress server this could lead to HTTP request splitting which may lead to
    potential cache poisoning or information disclosure. (Closes: #947433)

 -- Chris Lamb <lamby@debian.org>  Sat, 28 Dec 2019 17:33:13 +0000

waitress (0.8.9-2) unstable; urgency=medium

  * Fix FTBFS (Closes: #765126).

 -- Andrew Shadura <andrewsh@debian.org>  Mon, 13 Oct 2014 21:56:21 +0200

waitress (0.8.9-1) unstable; urgency=medium

  * New upstream release.

 -- Andrew Shadura <andrewsh@debian.org>  Wed, 08 Oct 2014 15:58:50 +0200

waitress (0.8.8-3) unstable; urgency=low

  * Build against python3.4.
  * Fix shebangs in waitress-serve scripts.

 -- Andrew Shadura <andrewsh@debian.org>  Thu, 24 Apr 2014 08:12:29 +0200

waitress (0.8.8-2) unstable; urgency=low

  * Fix the package description.
  * Bump Standards-Version (no changes).

 -- Andrew Shadura <andrewsh@debian.org>  Thu, 24 Apr 2014 07:45:00 +0200

=== debian/rules ===
--- 
+++ 
@@ -19,11 +19,6 @@
 	dh_auto_install
 	mv debian/python-waitress/usr/bin/waitress-serve debian/python-waitress/usr/bin/waitress-serve-python2
 	mv debian/python3-waitress/usr/bin/waitress-serve debian/python3-waitress/usr/bin/waitress-serve-python3
+	sed -i '1s,.*,#!/usr/bin/python3,' debian/python3-waitress/usr/bin/waitress-serve-python3
 
-ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-override_dh_auto_test:
-	nosetests
-	nosetests3
-endif
-
-.PHONY: override_dh_auto_build override_dh_auto_clean override_dh_auto_install override_dh_auto_test
+.PHONY: override_dh_auto_build override_dh_auto_clean override_dh_auto_install

## waitress 0.8.10

=== debian/changelog ===
waitress (0.8.10-1) unstable; urgency=medium

  [ Juan Picca ]
  * Make the build reproducible (Closes: #788597).

  [ Andrew Shadura ]
  * New upstream release.

 -- Andrew Shadura <andrewsh@debian.org>  Sat, 26 Dec 2015 14:44:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: waitress
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Andrew Shadura <andrewsh@debian.org>
+Maintainer: Andrew Shadura <andrewsh@debian.org>
 Section: python
 Priority: optional
 Homepage: http://github.com/Pylons/waitress
@@ -10,9 +9,8 @@
     python3-setuptools (>= 0.6.24),
     python-all (>= 2.6.6-3),
     python3-all, python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
-    debhelper (>= 9),
-    python3-nose, python-nose
-Standards-Version: 3.9.4
+    debhelper (>= 9)
+Standards-Version: 3.9.5
 
 Package: python-waitress
 Architecture: all
@@ -50,4 +48,4 @@
  Python 2.6+ and Python 3.2.  It is also known to run on PyPy 1.6.0 on UNIX.
  It supports HTTP/1.0 and HTTP/1.1.
  .
- This is package only contains the documentation.
+ This package only contains the documentation.

## waitress 1.0.1

=== debian/changelog ===
waitress (1.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Update package descriptions.
  * Build-Depend on Python 2.7+/3.3+.

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 13 Dec 2016 14:34:36 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,9 @@
     dh-python,
     python-setuptools (>= 0.6.24),
     python3-setuptools (>= 0.6.24),
-    python-all (>= 2.6.6-3),
-    python3-all, python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
+    python-all (>= 2.7),
+    python3-all (>= 3.3),
+    python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
     debhelper (>= 9)
 Standards-Version: 3.9.5
 
@@ -21,7 +22,7 @@
  Waitress is meant to be a production-quality pure-Python WSGI server with
  very acceptable performance.  It has no dependencies except ones which live
  in the Python standard library.  It runs on CPython on Unix and Windows under
- Python 2.6+ and Python 3.2.  It is also known to run on PyPy 1.6.0 on UNIX.
+ Python 2.7+ and Python 3.3+.  It is also known to run on PyPy 1.6.0 on UNIX.
  It supports HTTP/1.0 and HTTP/1.1.
 
 Package: python3-waitress
@@ -32,7 +33,7 @@
  Waitress is meant to be a production-quality pure-Python WSGI server with
  very acceptable performance.  It has no dependencies except ones which live
  in the Python standard library.  It runs on CPython on Unix and Windows under
- Python 2.6+ and Python 3.2.  It is also known to run on PyPy 1.6.0 on UNIX.
+ Python 2.7+ and Python 3.3+.  It is also known to run on PyPy 1.6.0 on UNIX.
  It supports HTTP/1.0 and HTTP/1.1.
  .
  This is the Python 3 version of the package.
@@ -45,7 +46,7 @@
  Waitress is meant to be a production-quality pure-Python WSGI server with
  very acceptable performance.  It has no dependencies except ones which live
  in the Python standard library.  It runs on CPython on Unix and Windows under
- Python 2.6+ and Python 3.2.  It is also known to run on PyPy 1.6.0 on UNIX.
+ Python 2.7+ and Python 3.3+.  It is also known to run on PyPy 1.6.0 on UNIX.
  It supports HTTP/1.0 and HTTP/1.1.
  .
  This package only contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -4,12 +4,16 @@
 export PYBUILD_DESTDIR_python3=debian/python3-waitress/
 export PYBUILD_DISABLE=test
 
+LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
+BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
+SPHINXOPTS := -N -D html_last_updated_fmt=\"$(BUILD_DATE)\"
+
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build -v
-	$(MAKE) -C docs clean html SPHINXOPTS=-N
+	$(MAKE) -C docs clean html SPHINXOPTS="$(SPHINXOPTS)"
 
 override_dh_auto_clean:
 	dh_auto_clean

## waitress 1.1.0

=== debian/changelog ===
waitress (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Enable autopkgtests.
  * Add Vcs-*.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 13 May 2018 10:12:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: waitress
-Maintainer: Andrew Shadura <andrewsh@debian.org>
+Maintainer: Andrej Shadura <andrewsh@debian.org>
 Section: python
 Priority: optional
 Homepage: http://github.com/Pylons/waitress
@@ -12,6 +12,9 @@
     python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
     debhelper (>= 9)
 Standards-Version: 3.9.5
+Vcs-Git: https://git.dgit.debian.org/waitress
+Vcs-Browser: https://browse.dgit.debian.org/waitress.git/
+Testsuite: autopkgtest-pkg-python
 
 Package: python-waitress
 Architecture: all

## waitress 1.2.0~b2

=== debian/changelog ===
waitress (1.2.0~b2-2) unstable; urgency=medium

  * Unbreak docco build (Closes: #918669).

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 08 Jan 2019 15:54:08 +0100

waitress (1.2.0~b2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field.
  * d/control: Add Vcs-* field.

  [ Andrej Shadura ]
  * New upstream release.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 07 Jan 2019 18:26:54 +0100

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
     python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
     debhelper (>= 9)
 Standards-Version: 3.9.5
-Vcs-Git: https://git.dgit.debian.org/waitress
-Vcs-Browser: https://browse.dgit.debian.org/waitress.git/
+Vcs-Browser: https://salsa.debian.org/debian/waitress
+Vcs-Git: https://salsa.debian.org/debian/waitress.git
 Testsuite: autopkgtest-pkg-python
 
 Package: python-waitress

## waitress 1.4.1

=== debian/changelog ===
waitress (1.4.1-1ubuntu0.2) focal-security; urgency=medium

  * SECURITY UPDATE: Denial of service through socket busy loop.
    - debian/patches/CVE-2024-49769-*.patch: Assign self.connected to True in
      src/waitress/channel.py. Remove code from vendored library in
      src/waitress/wasyncore.py.
    - CVE-2024-49769

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Mon, 04 Nov 2024 17:12:10 -0330

waitress (1.4.1-1ubuntu0.1) focal-security; urgency=medium

  * SECURITY UPDATE: Request smuggle
    - debian/patches/CVE-2022-24761-*: Fix for HTTP request smuggling due
      to incorrect validation in src/waitress/parser.py,
      src/waitress/receiver.py, src/waitress/rfc7230.py,
      src/waitress/utilities.py, test/test_functional.py,
      test/test_parser.py, test/test_receiver.py.
    - CVE-2022-24761
  * Fixing tests issues
    - debian/patches/fixing_tests.patch: fix compatibility issues in tests
      test/test_functional.py, test/test_receiver.py.

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Thu, 31 Mar 2022 15:56:43 -0300

waitress (1.4.1-1) unstable; urgency=medium

  * New upstream release.
    - Closes: #947306:
      CVE-2019-16785: potential HTTP request smuggling/splitting
      due to differences in endline parsing.
      CVE-2019-16786: incorrect treatment of single requests as
      multiple requests in the case of HTTP pipelining due to
      the incorrect parsing of Transfer-Encoding ignoring all but
      the first comma-separated header value.
    - Closes: #947433:
      CVE-2019-16789: potential HTTP request splitting leading
      to potential cache poisoning or unexpected information
      disclosure due to incorrect parsing of special whitespace
      characters in the Transfer-Encoding header.
  * Refresh the documentation configuration patch.
  * Set Rules-Requires-Root: no
  * Bump Standards-Version to 4.4.1, no changes.
  * Replace dh_auto_install override with --shebang.
  * Update debian/copyright.
  * Use ${sphinxdoc:Built-Using}.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 01 Jan 2020 14:04:40 +0100

waitress (1.3.1-4) unstable; urgency=medium

  * Revert the documentation package rename.
  * Revert the reversion of the Python 3 removal.
  * Remove alternatives on preinst.
  * Install waitress-serve into /usr/bin directly.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 12 Sep 2019 21:38:15 +0200

waitress (1.3.1-3) unstable; urgency=medium

  * Revert the Python 3 removal.
  * Try to remove alternatives, don’t fail if we can’t.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 12 Sep 2019 21:07:45 +0200

waitress (1.3.1-2) unstable; urgency=medium

  * Rename the documentation package.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 12 Sep 2019 18:48:27 +0200

waitress (1.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Maintain in the team.
  * Run wrap-and-sort -bask.
  * Use debhelper-compat instead of debian/compat.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 9 to 12.
  * Drop Python 2 support.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 12 Sep 2019 18:38:52 +0200

=== debian/control ===
Source: waitress
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Andrej Shadura <andrewsh@debian.org>
Section: python
Priority: optional
Homepage: https://github.com/Pylons/waitress
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all (>= 3.3),
 python3-setuptools (>= 0.6.24),
 python3-sphinx
Standards-Version: 4.4.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/waitress
Vcs-Git: https://salsa.debian.org/debian/waitress.git
Testsuite: autopkgtest-pkg-python

Package: python-waitress-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: production-quality pure-Python WSGI server (documentation)
 Waitress is meant to be a production-quality pure-Python WSGI server with
 very acceptable performance.  It has no dependencies except ones which live
 in the Python standard library.  It runs on CPython on Unix and Windows under
 Python 2.7+ and Python 3.3+.  It is also known to run on PyPy 1.6.0 on UNIX.
 It supports HTTP/1.0 and HTTP/1.1.
 .
 This package only contains the documentation.

Package: python3-waitress
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends}
Suggests:
 python-waitress-doc
Description: production-quality pure-Python WSGI server (Python 3)
 Waitress is meant to be a production-quality pure-Python WSGI server with
 very acceptable performance.  It has no dependencies except ones which live
 in the Python standard library.  It runs on CPython on Unix and Windows under
 Python 2.7+ and Python 3.3+.  It is also known to run on PyPy 1.6.0 on UNIX.
 It supports HTTP/1.0 and HTTP/1.1.
 .
 This is the Python 3 version of the package.

=== debian/watch ===
version=3

opts=filenamemangle=s/.*\/(.*)$/waitress-$1/ https://github.com/Pylons/waitress/releases \
.*[^n]/(?:|v|r|REL_|rel-|waitress(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## waitress 1.4.4

=== debian/changelog ===
waitress (1.4.4-1.1ubuntu1.1) jammy-security; urgency=medium

  * SECURITY UPDATE: Denial of service through socket busy loop.
    - debian/patches/CVE-2024-49769-*.patch: Assign self.connected to True in
      src/waitress/channel.py. Remove code from vendored library in
      src/waitress/wasyncore.py.
    - CVE-2024-49769

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Mon, 04 Nov 2024 16:47:17 -0330

waitress (1.4.4-1.1ubuntu1) jammy; urgency=medium

  * SECURITY UPDATE: Request smuggle
    - debian/patches/CVE-2022-24761-*: Fix for HTTP request smuggling due
      to incorrect validation in src/waitress/parser.py,
      src/waitress/receiver.py, src/waitress/rfc7230.py,
      src/waitress/utilities.py, test/test_functional.py,
      test/test_parser.py, test/test_receiver.py.
    - CVE-2022-24761

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Tue, 29 Mar 2022 11:13:55 -0300

waitress (1.4.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix cleanup of the waitress-serve alternative.  (Closes: #984630)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 20 Apr 2021 20:58:53 +0200

waitress (1.4.4-1) unstable; urgency=medium

  [ Andrej Shadura ]
  * New upstream release.

  [ Michael Fladischer ]
  * Provide virtual package httpd-wsgi3.

  [ Debian Janitor ]
  * Replace spaces in short license names with dashes.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.
  * Apply multi-arch hints.
    + python-waitress-doc: Add Multi-Arch: foreign.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 09 Jan 2021 10:16:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: waitress
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Andrej Shadura <andrewsh@debian.org>
 Section: python
 Priority: optional
@@ -11,10 +11,10 @@
  python3-all (>= 3.3),
  python3-setuptools (>= 0.6.24),
  python3-sphinx
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
-Vcs-Browser: https://salsa.debian.org/debian/waitress
-Vcs-Git: https://salsa.debian.org/debian/waitress.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/waitress
+Vcs-Git: https://salsa.debian.org/python-team/packages/waitress.git
 Testsuite: autopkgtest-pkg-python
 
 Package: python-waitress-doc
@@ -24,6 +24,7 @@
  ${misc:Depends},
  ${sphinxdoc:Depends}
 Built-Using: ${sphinxdoc:Built-Using}
+Multi-Arch: foreign
 Description: production-quality pure-Python WSGI server (documentation)
  Waitress is meant to be a production-quality pure-Python WSGI server with
  very acceptable performance.  It has no dependencies except ones which live
@@ -40,6 +41,7 @@
  ${python3:Depends}
 Suggests:
  python-waitress-doc
+Provides: httpd-wsgi3
 Description: production-quality pure-Python WSGI server (Python 3)
  Waitress is meant to be a production-quality pure-Python WSGI server with
  very acceptable performance.  It has no dependencies except ones which live

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_DESTDIR_python3=debian/python3-waitress/
export PYBUILD_DISABLE=test

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -N -D html_last_updated_fmt=\"$(BUILD_DATE)\"

export DH_OPTIONS=-O --shebang=/usr/bin/python3

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build -v
	$(MAKE) -C docs clean html SPHINXOPTS="$(SPHINXOPTS)"

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C docs clean

.PHONY: override_dh_auto_build override_dh_auto_clean

## waitress 2.1.1

=== debian/changelog ===
waitress (2.1.1-2ubuntu1) kinetic; urgency=medium

  * SECURITY UPDATE: exception via WSGI thread closing socket
    - debian/patches/CVE-2022-31015.patch: only close socket in the main
      thread in src/waitress/channel.py, src/waitress/wasyncore.py,
      tests/test_channel.py.
    - CVE-2022-31015

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 11 Aug 2022 11:03:49 -0400

waitress (2.1.1-2) unstable; urgency=medium

  * Team upload.
  * Build-Depend and autopkgtest Depend on netbase, for services resolution in
    tests.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 10 May 2022 08:31:41 -0400

waitress (2.1.1-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * Team upload.
  * New upstream release.
    - Resolves CVE-2022-24761 (Closes: #1008013)
  * Build with pybuild's pyproject plugin.
  * Run test suite at build time.
  * Run test suite in autopkgtests.
  * Bump Standards-Version to 4.6.0, no changes needed.
  * Bump watch file version to 4.
  * Update 01-fix-sphinxdoc-conf.patch to determine the upstream version from
    the Debian changelog.
  * Revert the -D html_last_updated_fmt approach to get sphinx to produce
    reproducible docs, it supports SOURCE_DATE_EPOCH, these days.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-all and
      python3-setuptools.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 09 May 2022 20:51:31 -0400

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,20 @@
 Source: waitress
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Andrej Shadura <andrewsh@debian.org>
 Section: python
 Priority: optional
 Homepage: https://github.com/Pylons/waitress
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
- python3-all (>= 3.3),
- python3-setuptools (>= 0.6.24),
+ netbase,
+ pybuild-plugin-pyproject,
+ python3-all,
+ python3-pytest,
+ python3-pytest-cov,
+ python3-setuptools,
  python3-sphinx
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/waitress
 Vcs-Git: https://salsa.debian.org/python-team/packages/waitress.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_DESTDIR_python3=debian/python3-waitress/

export DH_OPTIONS=-O --shebang=/usr/bin/python3

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build -v
	$(MAKE) -C docs clean html SPHINXOPTS=-N

override_dh_auto_test:
	# Some tests run against their own http proxy, not the internet
	http_proxy='' https_proxy='' dh_auto_test -- --after-test='rm {build_dir}/.coverage'

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C docs clean

.PHONY: override_dh_auto_build override_dh_auto_clean override_dh_auto_test

=== debian/tests/control ===
Tests: unittests
Depends:
 netbase,
 python3-all,
 python3-pytest,
 python3-pytest,
 python3-waitress

=== debian/watch ===
version=4

opts=filenamemangle=s/.*\/(.*)$/waitress-$1/ https://github.com/Pylons/waitress/releases \
.*[^n]/(?:|v|r|REL_|rel-|waitress(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## waitress 2.1.2

=== debian/changelog ===
waitress (2.1.2-2+deb12u1) bookworm; urgency=medium

  * Non-maintainer upload.
  * CVE-2024-49768: race condition in HTTP pipelining
    (Closes: #1086467)
  * CVE-2024-49769: DoS due to resource exhaustion
    (Closes: #1086468)

 -- Adrian Bunk <bunk@debian.org>  Wed, 20 Aug 2025 18:31:13 +0300

waitress (2.1.2-2) unstable; urgency=medium

  * Team Upload.
  * autopkgtest: Update control file for successful testing

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 14 Nov 2022 17:15:51 +0100

waitress (2.1.2-1) unstable; urgency=medium

  * Team Upload.
  * d/gbp.conf: Add a basic default configuration
  * d/README.source: Add basic information about package
  * d/README.Debian: Drop that file
  * d/watch: Update watch mode to look out git tags
  * New upstream version 2.1.2
    Resolves CVE-2022-31015 (Closes: #1012315)
  * Rebuild patch queue from patch-queue branch
    Added patch:
    docs-Use-internal-ressources-for-intersphinx.patch
    Renamed patch:
    01-fix-sphinxdoc-conf.patch
    -> docs-Don-t-try-to-detect-the-version-don-t-use-Pylons-the.patch
  * d/control: Remove Built-Using ${sphinxdoc:Built-Using}
    The -doc package isn't from type arch all.
  * d/control: Add python3-doc to Build-Depends
    That is used for intersphinx integration in the -doc package.
  * d/{control,rules}: Move over to dh-sequence-python3
  * documentation: Build HTML documentation by dh_sphinxdoc
  * autopkgtest: Small adjustment to testing call

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 12 Nov 2022 21:14:43 +0100

waitress (2.1.1-3) unstable; urgency=medium

  * Team Upload.
  * Remove space in DH_OPTIONS causing FTBFS (Closes: #1020065)
  * Bump Standards-Version to 4.6.1 (no changes needed)
  * Fix globbing pattern
  * Remove public-domain license for debian/*

 -- Nilesh Patra <nilesh@debian.org>  Sat, 01 Oct 2022 14:58:24 +0530

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_DESTDIR_python3=debian/python3-waitress/

export DH_OPTIONS=-O--shebang=/usr/bin/python3

include /usr/share/dpkg/pkg-info.mk

BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
SPHINXOPTS := -N -D html_last_updated_fmt="$(BUILD_DATE)"

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html $(SPHINXOPTS) docs $(CURDIR)/debian/python-waitress-doc/usr/share/doc/python-waitress-doc/html
	dh_sphinxdoc
endif

override_dh_auto_test:
	# Some tests run against their own http proxy, not the internet
	http_proxy='' https_proxy='' dh_auto_test -- --after-test='rm {build_dir}/.coverage'

=== debian/watch ===
version=4

opts="mode=git, \
      pgpmode=none, \
	  dversionmangle=s/\+(debian|dfsg|ds|deb)([\.\d]+)?$//, \
      filenamemangle=s/.*\/(.*)$/waitress-$1/"  \
https://github.com/Pylons/waitress.git \
      refs/tags/v@ANY_VERSION@

## waitress 3.0.0

=== debian/changelog ===
waitress (3.0.0-1ubuntu0.1) oracular-security; urgency=medium

  * SECURITY UPDATE: Race condition when lookahead is enabled.
    - debian/patches/CVE-2024-49768-*.patch: Stop processing data if the
      connection is about to close in received() in 
      src/waitress/channel.py.
    - CVE-2024-49768
  * SECURITY UPDATE: Denial of service through socket busy loop.
    - debian/patches/CVE-2024-49769-*.patch: Assign self.connected to True in
      src/waitress/channel.py. Remove code from vendored library in
      src/waitress/wasyncore.py.
    - CVE-2024-49769

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Mon, 04 Nov 2024 14:12:15 -0330

waitress (3.0.0-1) unstable; urgency=medium

  * Team upload.
  * d/watch: Add compression=gz
  * New upstream version 3.0.0
  * Rebuild patch queue from patch-queue branch
    Adjusted patch:
    docs-Don-t-try-to-detect-the-version-don-t-use-Pylons-the.patch
  * d/control: Bump Standards-Version to 4.7.0
    No further changes needed.
  * d/rules: Add target override_dh_clean
  * d/{control,rules}: Move over to use dh-sequence-sphinxdoc
  * d/control: Update binary package long description
  * d/u/metadata: Add FAQ and Security-Contact fields

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 10 May 2024 17:50:49 +0200

=== debian/control ===
Source: waitress
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Section: python
Priority: optional
Homepage: https://github.com/Pylons/waitress
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 netbase,
 pybuild-plugin-pyproject,
 python3-all,
 python3-doc,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-setuptools,
 python3-sphinx <!nocheck>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/python-team/packages/waitress
Vcs-Git: https://salsa.debian.org/python-team/packages/waitress.git
Testsuite: autopkgtest-pkg-python

Package: python-waitress-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: production-quality pure-Python WSGI server (Documentation)
 Waitress is meant to be a production-quality pure-Python WSGI server with
 very acceptable performance. It has no dependencies except ones which live
 in the Python standard library. It runs on CPython on Unix and Windows under
 Python 3.8+. It is also known to run on PyPy 3 (version 3.8 compatible Python
 and above) on UNIX. It supports HTTP/1.0 and HTTP/1.1.
 .
 This package only contains the documentation.

Package: python3-waitress
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends}
Suggests:
 python-waitress-doc
Provides: httpd-wsgi3
Description: production-quality pure-Python WSGI server (Python 3)
 Waitress is meant to be a production-quality pure-Python WSGI server with
 very acceptable performance. It has no dependencies except ones which live
 in the Python standard library. It runs on CPython on Unix and Windows under
 Python 3.8+. It is also known to run on PyPy 3 (version 3.8 compatible Python
 and above) on UNIX. It supports HTTP/1.0 and HTTP/1.1.
 .
 This is the Python 3 version of the package.

## waitress 3.0.1

=== debian/changelog ===
waitress (3.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - CVE-2024-49768: Fix a race condition in Waitress when
      `channel_request_lookahead` is enabled that could lead to HTTP request
      smuggling (closes: #1086467).
    - CVE-2024-49769: Fix a bug that would lead to Waitress busy looping on
      select() on a half-open socket due to a race condition that existed
      when creating a new HTTPChannel (closes: #1086468).

 -- Colin Watson <cjwatson@debian.org>  Wed, 30 Oct 2024 23:22:09 +0000

## waitress 3.0.2

=== debian/changelog ===
waitress (3.0.2-2) unstable; urgency=medium

  * Team upload.
  * Fix profile for python3-sphinx build-dependency (closes: #1116924).

 -- Colin Watson <cjwatson@debian.org>  Tue, 30 Sep 2025 19:04:08 +0100

waitress (3.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - [SECURITY] When using Waitress to process trusted proxy headers,
      Waitress will now update the headers to drop any untrusted values,
      thereby making sure that WSGI apps only get trusted and validated
      values that Waitress itself used to update the environ.

 -- Colin Watson <cjwatson@debian.org>  Wed, 20 Nov 2024 11:09:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: waitress
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Section: python
 Priority: optional
 Homepage: https://github.com/Pylons/waitress
@@ -15,7 +14,7 @@
  python3-pytest <!nocheck>,
  python3-pytest-cov <!nocheck>,
  python3-setuptools,
- python3-sphinx <!nocheck>,
+ python3-sphinx <!nodoc>,
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/waitress
@@ -33,7 +32,7 @@
  Waitress is meant to be a production-quality pure-Python WSGI server with
  very acceptable performance. It has no dependencies except ones which live
  in the Python standard library. It runs on CPython on Unix and Windows under
- Python 3.8+. It is also known to run on PyPy 3 (version 3.8 compatible Python
+ Python 3.9+. It is also known to run on PyPy 3 (version 3.9 compatible Python
  and above) on UNIX. It supports HTTP/1.0 and HTTP/1.1.
  .
  This package only contains the documentation.
@@ -50,7 +49,7 @@
  Waitress is meant to be a production-quality pure-Python WSGI server with
  very acceptable performance. It has no dependencies except ones which live
  in the Python standard library. It runs on CPython on Unix and Windows under
- Python 3.8+. It is also known to run on PyPy 3 (version 3.8 compatible Python
+ Python 3.9+. It is also known to run on PyPy 3 (version 3.9 compatible Python
  and above) on UNIX. It supports HTTP/1.0 and HTTP/1.1.
  .
  This is the Python 3 version of the package.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,11 @@
 SPHINXOPTS := -N -D html_last_updated_fmt="$(BUILD_DATE)"
 
 %:
-	dh $@ --with sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
+
+override_dh_clean:
+	dh_clean
+	rm -rf .mypy_cache
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))

=== debian/tests/control ===
Tests:
 unittests
Depends:
 netbase,
 python3-all,
 python3-pytest,
 python3-pytest-cov,
 @,
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      pgpmode=none, \
      dversionmangle=s/\+(debian|dfsg|ds|deb)([\.\d]+)?$//, \
      filenamemangle=s/.*\/(.*)$/waitress-$1/"  \
https://github.com/Pylons/waitress.git \
      refs/tags/v@ANY_VERSION@
